Summary:	Create graphs of branches and revisions for files in a CVS repository
Summary(pl.UTF-8):	Tworzenie grafów rozgałęzień i rewizji dla plików w repozytorium CVS
Name:		cvsgraph
Version:	1.7.0
Release:	3
License:	GPL
Group:		Applications/Publishing
Source0:	http://www.akhphd.au.dk/~bertho/cvsgraph/release/%{name}-%{version}.tar.gz
# Source0-md5:	8194c0c6f6837fcfa3ad0fab5dfc0597
Patch0:		%{name}-config.patch
URL:		http://www.akhphd.au.dk/~bertho/cvsgraph/
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gd-devel >= 2.0.28
Requires:	gd >= 2.0.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
CvsGraph is a utility to make a graphical representation of all
revisions and branches of a file in a CVS/RCS repository. It has been
inspired by the 'graph' option in WinCVS, but I could not find a
stand-alone version of this graph code. So, it was time to write one.

%description -l pl.UTF-8
CvsGraph to narzędzie do tworzenia graficznej reprezentacji wszystkich
rewizji i rozgałęzień pliku w repozytorium CVS/RCS. Jest zainspirowane
opcją 'graph' w programie WinCVS - ponieważ autor nie mógł znaleźć
samodzielnej wersji tego kodu, uznał, że czas taką napisać.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,5},%{_sysconfdir}}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README contrib/
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man?/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%changelog
* Sun Jul 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cvsgraph.git;a=log;h=master

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 8c7c328
- regenerate makefiles
- rel 3

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 92e3b41
- release 2 (by relup.sh)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 6886c97
- up to 1.7.0

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 5244bc1
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3818043
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b2f23a1
- converted to UTF-8

* Tue Oct 31 2006 maciek2w <maciek2w@pld-linux.org> 9c34062
- updated to 1.6.1

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> bae1df0
- adapterized (killed trailing spaces/tabs)

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cce656
- up to 1.6.0

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> cbe7647
- adapterized (sorted %verify flags)

* Mon Jul 25 2005 blekot <blekot@pld-linux.org> 993d9b5
- update to 1.5.2

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 552745c
- updated to 1.5

* Thu Aug 19 2004 twittner <twittner@pld-linux.org> f4ca55c
- adjust paths (-config.patch)
- regenerate ac, BR autoconf

* Thu Aug 19 2004 twittner <twittner@pld-linux.org> 500eba8
- djust paths in default configuration

* Thu Aug 19 2004 misi3k <misi3k@pld-linux.org> 48331f5
- updated to 1.5.0

* Sun Aug 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 94a7815
- updated to 1.4.1 (should build on 64-bit archs now)
- BR gd 2.0.28 for GIF support

* Mon Aug 11 2003 ankry <ankry@pld-linux.org> a47f39d
- cosmetics

* Sat Jul 19 2003 leafnode <leafnode@pld-linux.org> dfbf254
- updated to 1.4.0

* Tue Jun 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 84587ba
- removed junk left by some broken version of adapter

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 446a632
- massive attack: adding Source-md5

